/**
* html5tooltips.js v1.1
* Light and clean tooltips.
* https://github.com/ytiurin/html5tooltipsjs
*
* Yevhen Tiurin <yevhentiurin@gmail.com>
* The MIT License (MIT)
* http://opensource.org/licenses/MIT
*
* Minified by Dean Edwards Packer
* http://dean.edwards.name/packer/
*
* April 20, 2014
**/

/* THIS CSS CODE SHOULD BE COPIED TO A SEPARATE FILE AND LINKED TO PAGE
.html5tooltip-box{background-color:rgba(42,42,42,0.95);border:1px solid rgba(255,255,255,0);color:#fff;padding:7px 9px}.html5tooltip-text{font-family:arial,sans-serif;font-size:11px;font-weight:bold}.html5tooltip-hr{height:7px}.html5tooltip-pointer{height:12px;position:absolute;width:12px}.html5tooltip-po{border:6px solid rgba(255,255,255,0);position:absolute}.html5tooltip-pi{border:5px solid rgba(255,255,255,0);left:1px;position:absolute;top:2px}.html5tooltip-bottom .html5tooltip-pointer .html5tooltip-pi{border-bottom-color:rgba(42,42,42,0.95)}.html5tooltip-left .html5tooltip-pointer .html5tooltip-pi{border-left-color:rgba(42,42,42,0.95)}.html5tooltip-right .html5tooltip-pointer .html5tooltip-pi{border-right-color:rgba(42,42,42,0.95)}.html5tooltip-top .html5tooltip-pointer .html5tooltip-pi{border-top-color:rgba(42,42,42,0.95)}.html5tooltip-bottom,.html5tooltip-left,.html5tooltip-right,.html5tooltip-top{-moz-perspective:300px;-ms-perspective:300px;-o-perspective:300px;-webkit-perspective:300px;perspective:300px}.html5tooltip-box.animating{-moz-transition:opacity .3s,-moz-transform .3s;-ms-transition:opacity .3s,-ms-transform .3s;-o-transition:opacity .3s,-o-transform .3s;-webkit-transition:opacity .3s,-webkit-transform .3s;transition:opacity .3s,transform .3s}.html5tooltip-more.animating{-moz-transition:height .3s;-ms-transition:height .3s;-o-transition:height .3s;-webkit-transition:height .3s;transition:height .3s}.html5tooltip-pointer.animating{-moz-transition:top .3s;-ms-transition:top .3s;-o-transition:top .3s;-webkit-transition:top .3s;transition:top .3s}.fadein-from{opacity:0}.fadein-to{opacity:1}.fadein-from,.fadein-to{-moz-transform:translateZ(0);-ms-transform:translateZ(0);-o-transform:translateZ(0);-webkit-transform:translateZ(0);transform:translateZ(0)}.foldin-from,.foldout-from{opacity:0}.foldin-to,.foldout-to{opacity:1;-moz-transform:rotateX(0) rotateY(0);-ms-transform:rotateX(0) rotateY(0);-o-transform:rotateX(0) rotateY(0);-webkit-transform:rotateX(0) rotateY(0);transform:rotateX(0) rotateY(0)}.html5tooltip-bottom .foldin-from,.html5tooltip-top .foldout-from{-moz-transform:rotateX(-90deg);-ms-transform:rotateX(-90deg);-o-transform:rotateX(-90deg);-webkit-transform:rotateX(-90deg);transform:rotateX(-90deg)}.html5tooltip-bottom .foldin-to,.html5tooltip-bottom .foldout-to{-moz-transform-origin:center top;-ms-transform-origin:center top;-o-transform-origin:center top;-webkit-transform-origin:center top;transform-origin:center top}.html5tooltip-left .foldin-from,.html5tooltip-right .foldout-from{-moz-transform:rotateY(-90deg);-ms-transform:rotateY(-90deg);-o-transform:rotateY(-90deg);-webkit-transform:rotateY(-90deg);transform:rotateY(-90deg)}.html5tooltip-left .foldin-to,.html5tooltip-left .foldout-to{-moz-transform-origin:right center;-ms-transform-origin:right center;-o-transform-origin:right center;-webkit-transform-origin:right center;transform-origin:right center}.html5tooltip-right .foldin-from,.html5tooltip-left .foldout-from{-moz-transform:rotateY(90deg);-ms-transform:rotateY(90deg);-o-transform:rotateY(90deg);-webkit-transform:rotateY(90deg);transform:rotateY(90deg)}.html5tooltip-right .foldin-to,.html5tooltip-right .foldout-to{-moz-transform-origin:left center;-ms-transform-origin:left center;-o-transform-origin:left center;-webkit-transform-origin:left center;transform-origin:left center}.html5tooltip-top .foldin-from,.html5tooltip-bottom .foldout-from{-moz-transform:rotateX(90deg);-ms-transform:rotateX(90deg);-o-transform:rotateX(90deg);-webkit-transform:rotateX(90deg);transform:rotateX(90deg)}.html5tooltip-top .foldin-to,.html5tooltip-top .foldout-to{-moz-transform-origin:center bottom;-ms-transform-origin:center bottom;-o-transform-origin:center bottom;-webkit-transform-origin:center bottom;transform-origin:center bottom}.slidein-from{opacity:0}.slidein-to{opacity:1;-moz-transform:translateX(0) translateY(0);-ms-transform:translateX(0) translateY(0);-o-transform:translateX(0) translateY(0);-webkit-transform:translateX(0) translateY(0);transform:translateX(0) translateY(0)}.html5tooltip-bottom .slidein-from{-moz-transform:translateY(20px);-ms-transform:translateY(20px);-o-transform:translateY(20px);-webkit-transform:translateY(20px);transform:translateY(20px)}.html5tooltip-left .slidein-from{-moz-transform:translateX(-20px);-ms-transform:translateX(-20px);-o-transform:translateX(-20px);-webkit-transform:translateX(-20px);transform:translateX(-20px)}.html5tooltip-right .slidein-from{-moz-transform:translateX(20px);-ms-transform:translateX(20px);-o-transform:translateX(20px);-webkit-transform:translateX(20px);transform:translateX(20px)}.html5tooltip-top .slidein-from{-moz-transform:translateY(-20px);-ms-transform:translateY(-20px);-o-transform:translateY(-20px);-webkit-transform:translateY(-20px);transform:translateY(-20px)}.roll-from{opacity:0}.roll-to{opacity:1;-moz-transform:rotateZ(0);-ms-transform:rotateZ(0);-o-transform:rotateZ(0);-webkit-transform:rotateZ(0);transform:rotateZ(0)}.html5tooltip-bottom .roll-from{-moz-transform:rotateZ(-30deg);-ms-transform:rotateZ(-30deg);-o-transform:rotateZ(-30deg);-webkit-transform:rotateZ(-30deg);transform:rotateZ(-30deg)}.html5tooltip-bottom .roll-to{-moz-transform-origin:center top;-ms-transform-origin:center top;-o-transform-origin:center top;-webkit-transform-origin:center top;transform-origin:center top}.html5tooltip-left .roll-from{-moz-transform:rotateZ(30deg);-ms-transform:rotateZ(30deg);-o-transform:rotateZ(30deg);-webkit-transform:rotateZ(30deg);transform:rotateZ(30deg)}.html5tooltip-left .roll-to{-moz-transform-origin:right center;-ms-transform-origin:right center;-o-transform-origin:right center;-webkit-transform-origin:right center;transform-origin:right center}.html5tooltip-right .roll-from{-moz-transform:rotateZ(-30deg);-ms-transform:rotateZ(-30deg);-o-transform:rotateZ(-30deg);-webkit-transform:rotateZ(-30deg);transform:rotateZ(-30deg)}.html5tooltip-right .roll-to{-moz-transform-origin:left center;-ms-transform-origin:left center;-o-transform-origin:left center;-webkit-transform-origin:left center;transform-origin:left center}.html5tooltip-top .roll-from{-moz-transform:rotateZ(30deg);-ms-transform:rotateZ(30deg);-o-transform:rotateZ(30deg);-webkit-transform:rotateZ(30deg);transform:rotateZ(30deg)}.html5tooltip-top .roll-to{-moz-transform-origin:center bottom;-ms-transform-origin:center bottom;-o-transform-origin:center bottom;-webkit-transform-origin:center bottom;transform-origin:center bottom}.spin-from{opacity:0}.spin-to{opacity:1;-moz-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);-ms-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);-o-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);-webkit-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);transform:rotateX(0) rotateY(0) translateX(0) translateY(0)}.html5tooltip-bottom .spin-from{-moz-transform:rotateY(90deg) translateY(20px);-ms-transform:rotateY(90deg) translateY(20px);-o-transform:rotateY(90deg) translateY(20px);-webkit-transform:rotateY(90deg) translateY(20px);transform:rotateY(90deg) translateY(20px)}.html5tooltip-left .spin-from{-moz-transform:rotateX(-90deg) translateX(-20px);-ms-transform:rotateX(-90deg) translateX(-20px);-o-transform:rotateX(-90deg) translateX(-20px);-webkit-transform:rotateX(-90deg) translateX(-20px);transform:rotateX(-90deg) translateX(-20px)}.html5tooltip-right .spin-from{-moz-transform:rotateX(-90deg) translateX(20px);-ms-transform:rotateX(-90deg) translateX(20px);-o-transform:rotateX(-90deg) translateX(20px);-webkit-transform:rotateX(-90deg) translateX(20px);transform:rotateX(-90deg) translateX(20px)}.html5tooltip-top .spin-from{-moz-transform:rotateY(90deg) translateY(-20px);-ms-transform:rotateY(90deg) translateY(-20px);-o-transform:rotateY(90deg) translateY(-20px);-webkit-transform:rotateY(90deg) translateY(-20px);transform:rotateY(90deg) translateY(-20px)}
*/

eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('(4(){j f,L,t,z,u={n:{1P:"2q",2r:"2s",2t:"2u",1x:"2v",1x:"2w",1x:"2x"},o:{14:"14",l:"l",1l:"1l",m:"m"}},15={M:1Q,n:u.n.1P,1m:"",U:"",N:V,o:u.o.14,16:10,O:[],1y:"",1z:"",17:8},2y={M:8,n:8,1A:8,N:8,o:8,17:8},H={1R:["<9 D=\'r\' 5=\'1n-2z:2A-1n;2B:2C;\'>","<9 D=\'r-1n\'>","<9 D=\'r-W\'></9>","<9 D=\'r-1o\' 5=\'2D:2E;\'>","<9 D=\'r-2F\'></9>","<9 D=\'r-W\'></9>","</9>","<9 D=\'r-1S\'><9 D=\'r-2G\'></9><9 D=\'r-2H\'></9></9>","</9>","</9>"].2I(""),P:{A:\'r\',1T:\'r-1n\',1U:\'r-W\',1V:\'r-1o\',1W:\'r-W\',1X:\'r-1S\'}};4 1Y(a){g 1Z.20.2J.2K(a)}4 21(a,b){j c=[];22{j d=v.2L(a,(b||v),8,2M.2N,8);1p(j e=d.23();e;e=d.23())c.18(e)}24(25){}g c}4 26(a,b){j c=[];22{c=1Y((b||v).2O(a))}24(25){}g c}4 27(a,b){j c=(b||v).2P(\'*\'),1B=[];1p(j i=0,1q;1q=c[i];i++){7(1q.E(a))1B.18(1q)}g 1B}4 X(a){1p(j i=1;i<19.1r;i++){7(28 19[i]==="29"){1p(j b 2Q 19[i]){7(19[i].2R(b)){a[b]=19[i][b]}}}}g a}4 2a(){j c,6,Q,w,1C,p,1D,x;4 1a(a,b){7(!6.N){a.2b=a.2b;a.B.1b("2c");b();2d(4(){a.B.1c("2c")},6.M)}1d b()}4 1E(){v.2S(c)}4 Y(){7(c.5.F!==\'1F\')c.5.F=\'1F\';c.5.l=\'-2e\';c.5.m=\'-2e\';7(p.5.1e!==\'2f\'){p.5.1e=\'2f\';p.5.F=\'1F\';p.5.q=\'1s\'}g y}4 1f(){j a=v.2T("9");a.1G=t.1A?t.1A:H.1R;c=a.2U;w=c.1g(H.P.1T)[0];1C=c.1g(H.P.1U)[0];p=c.1g(H.P.1V)[0];1D=p.1g(H.P.1W)[0];x=c.1g(H.P.1X)[0];Y();6=X({},15)}4 1h(a){7(!a)g 6;7(6!==a){6=X({},15,a);2g()}g y}4 1t(){7(c.5.F!==\'Z\'){c.5.F=\'Z\';11();w.B.1c(6.n+"-1u");w.B.1b(6.n+"-1v");1a(w,4(){w.B.1c(6.n+"-1v");w.B.1b(6.n+"-1u")})}g y}4 1w(){7(c.5.F!==\'Z\'){c.5.F=\'Z\';w.B.1c(6.n+"-1u");w.B.1b(6.n+"-1v");1a(w,4(){w.B.1c(6.n+"-1v");w.B.1b(6.n+"-1u")});7(6.U){p.5.1e=\'1H\';p.5.F=\'Z\'}11()}1d 7(p.5.1e!==\'1H\'&&6.U){p.5.1e=\'1H\';1I();1a(x,1J);j h=p.12().q;p.5.F=\'Z\';p.5.q=\'2V\';1a(p,4(){p.5.q=h>0?h+\'k\':"1s"})}g y}4 1i(a){7(!a)g Q;7(Q!==a){Q=a}g y}4 11(){1I();1J()}4 1J(){j a;7(!Q)g;a=c.12();R=x.12();2h(6.o){I u.o.14:x.5.l=G((a.s-R.s)/2)+"k";x.5.m=-1*R.q-1+"k";J;I u.o.l:x.5.l=a.s-2+"k";x.5.m=G((a.q-R.q)/2)+"k";J;I u.o.1l:x.5.l=-1*R.s+"k";x.5.m=G((a.q-R.q)/2)+"k";J;I u.o.m:x.5.l=G((a.s-R.s)/2)+"k";x.5.m=a.q-3+"k";J}}4 1I(){j a,C;7(!Q)g;c.5.s="1s";C=c.12();j b=6.17||t.17;7(b)c.5.s=C.s>b?b+"k":"1s";a=Q.12();C=c.12();2h(6.o){I u.o.14:c.5.l=a.l+G((a.s-C.s)/2)+"k";c.5.m=a.m+a.q+G(6.16)+"k";J;I u.o.l:c.5.l=a.l-C.s-G(6.16)+"k";c.5.m=a.m+(a.q-C.q)/2+"k";J;I u.o.1l:c.5.l=a.l+a.s+G(6.16)+"k";c.5.m=a.m+(a.q-C.q)/2+"k";J;I u.o.m:c.5.l=a.l+(a.s-C.s)/2+"k";c.5.m=a.m-C.q-G(6.16)+"k";J}}4 2g(){1C.1G=6.1m?6.1m:"";1D.1G=6.U?6.U:"";6.M=t.M?t.M:6.M;6.n=t.n?t.n:6.n;6.N=t.N?t.N:6.N;c.2W=H.P.A+"-"+6.o;7(v.1K&&c.2X!==v.1K)v.1K.2Y(c)}1f();g{1E:1E,Y:Y,1h:1h,1w:1w,1t:1t,1i:1i,11:11}}4 2i(){j c=27("K-A-W");c.1L(4(a){j b={1m:a.E("K-A-W"),O:[a]};7(a.E("K-A-1o")!==8)b.U=a.E("K-A-1o");7(a.E("K-A-2j")!==8)b.o=a.E("K-A-2j");7(a.E("K-A-2k")!==8)b.17=a.E("K-A-2k");L.18(X({},15,b))})}4 1M(){L.1L(4(c,i){c=X({},15,c);7(!c.O.1r&&c.1y)c.O=26(c.1y);7(!c.O.1r&&c.1z)c.O=21(c.1z);c.O.1L(4(b){b.S("2Z",4(){j a=y;7(z.1j===a||z.1k!==8)g;z.1j=a;f.1i(y).1h(c);2d(4(){7(z.1j===a)f.1t()},1Q)});b.S("30",4(){z.1j=8;7(z.1k!==8)g;f.Y()});b.S("31",4(){7(["32","33"].34(y.35)===-1&&y.E("36")===8)g;z.1k=y;f.1i(y).1h(c);f.1w()});b.S("37",4(){z.1k=8;f.Y()})});L[i]=c})}4 1f(){7(!f){t={};f=2a();L=[]}z={1k:8,1j:8}}4 1N(a,b){7(a.1r)1Z.20.18.38(L,a);1d 7(28 a==="29")L.18(a);t=b?X({},b):t;1M()}4 2l(a,b){1f();1N(a,b)}4 13(){v.2m("2n",13,V);T.2m("2o",13,V);2i();1M()}7(T.2p){2p("1O",4(){g 2l})}1d{1f();7(v.39==="3a"){13()}1d{v.S("2n",13,V);T.S("2o",13,V)}7(T.1O===3b){T.u=u;T.1O=1N}}T.S("3c",4(){f.11()},V)})();',62,199,'||||function|style|ttModel|if|null|div|||||||return|||var|px|left|top|animateFunction|stickTo|elMore|height|html5tooltip|width|options|html5tooltipsPredefined|document|elBox|elPointer|this|activeElements|tooltip|classList|ttRect|class|getAttribute|visibility|parseInt|template|case|break|data|tModels|animateDuration|disableAnimation|targetElements|hookClasses|targetElement|pointerRect|addEventListener|window|contentMore|false|text|extend|hideAll|visible||updatePos|getBoundingClientRect|documentReadyHandler|bottom|typeTooltipModel|stickDistance|maxWidth|push|arguments|animateElementClass|add|remove|else|display|init|getElementsByClassName|model|target|hovered|focused|right|contentText|box|more|for|node|length|auto|showBrief|to|from|showAll|slideIn|targetSelector|targetXPath|HTMLTemplate|nodes|elText|elMoreText|destroy|collapse|innerHTML|block|updateTooltipPos|updatePointerPos|body|forEach|tieTooltips|html5tooltipsGlobal|html5tooltips|fadeIn|300|HTML|pointer|tooltipBox|tooltipText|tooltipMore|tooltipMoreText|tooltipPointer|toArray|Array|prototype|getElementsByXPath|try|iterateNext|catch|exc|getElementsBySelector|getElementsByAttribute|typeof|object|Tooltip|offsetWidth|animating|setTimeout|9999px|none|updateModel|switch|pickDocumentDataTargets|stickto|maxwidth|html5tooltipsAMD|removeEventListener|DOMContentLoaded|load|define|fadein|foldIn|foldin|foldOut|foldout|roll|slidein|spin|defaultOptions|sizing|border|position|fixed|overflow|hidden|hr|po|pi|join|slice|call|evaluate|XPathResult|ANY_TYPE|querySelectorAll|getElementsByTagName|in|hasOwnProperty|removeChild|createElement|firstChild|0px|className|parentNode|appendChild|mouseover|mouseout|focus|INPUT|TEXTAREA|indexOf|tagName|contenteditable|blur|apply|readyState|complete|undefined|scroll'.split('|'),0,{}))
