/**
* html5tooltips.js v1.2
* Light and clean tooltips.
* https://github.com/ytiurin/html5tooltipsjs
*
* Yevhen Tiurin <yevhentiurin@gmail.com>
* The MIT License (MIT)
* http://opensource.org/licenses/MIT
*
* Minified by Dean Edwards Packer
* http://dean.edwards.name/packer/
*
* April 21, 2014
**/

/* THIS CSS CODE SHOULD BE COPIED TO A SEPARATE FILE AND LINKED TO PAGE
.html5tooltip-box{background-color:rgba(42,42,42,0.95);border:1px solid rgba(255,255,255,0);color:#fff;padding:7px 9px}.html5tooltip-text{font-family:arial,sans-serif;font-size:11px;font-weight:bold}.html5tooltip-hr{height:7px}.html5tooltip-pointer{border-color:rgba(42,42,42,0.95);height:12px;position:absolute;width:12px}.html5tooltip-po{border:6px solid rgba(255,255,255,0);position:absolute}.html5tooltip-pi{border:5px solid rgba(255,255,255,0);left:1px;position:absolute;top:2px}.html5tooltip-bottom .html5tooltip-pointer .html5tooltip-pi{border-bottom-color:inherit}.html5tooltip-left .html5tooltip-pointer .html5tooltip-pi{border-left-color:inherit}.html5tooltip-right .html5tooltip-pointer .html5tooltip-pi{border-right-color:inherit}.html5tooltip-top .html5tooltip-pointer .html5tooltip-pi{border-top-color:inherit}.html5tooltip-bottom,.html5tooltip-left,.html5tooltip-right,.html5tooltip-top{-moz-perspective:300px;-ms-perspective:300px;-o-perspective:300px;-webkit-perspective:300px;perspective:300px}.html5tooltip-box.animating{-moz-transition:opacity .3s,-moz-transform .3s;-ms-transition:opacity .3s,-ms-transform .3s;-o-transition:opacity .3s,-o-transform .3s;-webkit-transition:opacity .3s,-webkit-transform .3s;transition:opacity .3s,transform .3s}.html5tooltip-more.animating{-moz-transition:height .3s;-ms-transition:height .3s;-o-transition:height .3s;-webkit-transition:height .3s;transition:height .3s}.html5tooltip-pointer.animating{-moz-transition:top .3s;-ms-transition:top .3s;-o-transition:top .3s;-webkit-transition:top .3s;transition:top .3s}.fadein-from{opacity:0}.fadein-to{opacity:1}.fadein-from,.fadein-to{-moz-transform:translateZ(0);-ms-transform:translateZ(0);-o-transform:translateZ(0);-webkit-transform:translateZ(0);transform:translateZ(0)}.foldin-from,.foldout-from{opacity:0}.foldin-to,.foldout-to{opacity:1;-moz-transform:rotateX(0) rotateY(0);-ms-transform:rotateX(0) rotateY(0);-o-transform:rotateX(0) rotateY(0);-webkit-transform:rotateX(0) rotateY(0);transform:rotateX(0) rotateY(0)}.html5tooltip-bottom .foldin-from,.html5tooltip-top .foldout-from{-moz-transform:rotateX(-90deg);-ms-transform:rotateX(-90deg);-o-transform:rotateX(-90deg);-webkit-transform:rotateX(-90deg);transform:rotateX(-90deg)}.html5tooltip-bottom .foldin-to,.html5tooltip-bottom .foldout-to{-moz-transform-origin:center top;-ms-transform-origin:center top;-o-transform-origin:center top;-webkit-transform-origin:center top;transform-origin:center top}.html5tooltip-left .foldin-from,.html5tooltip-right .foldout-from{-moz-transform:rotateY(-90deg);-ms-transform:rotateY(-90deg);-o-transform:rotateY(-90deg);-webkit-transform:rotateY(-90deg);transform:rotateY(-90deg)}.html5tooltip-left .foldin-to,.html5tooltip-left .foldout-to{-moz-transform-origin:right center;-ms-transform-origin:right center;-o-transform-origin:right center;-webkit-transform-origin:right center;transform-origin:right center}.html5tooltip-right .foldin-from,.html5tooltip-left .foldout-from{-moz-transform:rotateY(90deg);-ms-transform:rotateY(90deg);-o-transform:rotateY(90deg);-webkit-transform:rotateY(90deg);transform:rotateY(90deg)}.html5tooltip-right .foldin-to,.html5tooltip-right .foldout-to{-moz-transform-origin:left center;-ms-transform-origin:left center;-o-transform-origin:left center;-webkit-transform-origin:left center;transform-origin:left center}.html5tooltip-top .foldin-from,.html5tooltip-bottom .foldout-from{-moz-transform:rotateX(90deg);-ms-transform:rotateX(90deg);-o-transform:rotateX(90deg);-webkit-transform:rotateX(90deg);transform:rotateX(90deg)}.html5tooltip-top .foldin-to,.html5tooltip-top .foldout-to{-moz-transform-origin:center bottom;-ms-transform-origin:center bottom;-o-transform-origin:center bottom;-webkit-transform-origin:center bottom;transform-origin:center bottom}.slidein-from{opacity:0}.slidein-to{opacity:1;-moz-transform:translateX(0) translateY(0);-ms-transform:translateX(0) translateY(0);-o-transform:translateX(0) translateY(0);-webkit-transform:translateX(0) translateY(0);transform:translateX(0) translateY(0)}.html5tooltip-bottom .slidein-from{-moz-transform:translateY(20px);-ms-transform:translateY(20px);-o-transform:translateY(20px);-webkit-transform:translateY(20px);transform:translateY(20px)}.html5tooltip-left .slidein-from{-moz-transform:translateX(-20px);-ms-transform:translateX(-20px);-o-transform:translateX(-20px);-webkit-transform:translateX(-20px);transform:translateX(-20px)}.html5tooltip-right .slidein-from{-moz-transform:translateX(20px);-ms-transform:translateX(20px);-o-transform:translateX(20px);-webkit-transform:translateX(20px);transform:translateX(20px)}.html5tooltip-top .slidein-from{-moz-transform:translateY(-20px);-ms-transform:translateY(-20px);-o-transform:translateY(-20px);-webkit-transform:translateY(-20px);transform:translateY(-20px)}.roll-from{opacity:0}.roll-to{opacity:1;-moz-transform:rotateZ(0);-ms-transform:rotateZ(0);-o-transform:rotateZ(0);-webkit-transform:rotateZ(0);transform:rotateZ(0)}.html5tooltip-bottom .roll-from{-moz-transform:rotateZ(-30deg);-ms-transform:rotateZ(-30deg);-o-transform:rotateZ(-30deg);-webkit-transform:rotateZ(-30deg);transform:rotateZ(-30deg)}.html5tooltip-bottom .roll-to{-moz-transform-origin:center top;-ms-transform-origin:center top;-o-transform-origin:center top;-webkit-transform-origin:center top;transform-origin:center top}.html5tooltip-left .roll-from{-moz-transform:rotateZ(30deg);-ms-transform:rotateZ(30deg);-o-transform:rotateZ(30deg);-webkit-transform:rotateZ(30deg);transform:rotateZ(30deg)}.html5tooltip-left .roll-to{-moz-transform-origin:right center;-ms-transform-origin:right center;-o-transform-origin:right center;-webkit-transform-origin:right center;transform-origin:right center}.html5tooltip-right .roll-from{-moz-transform:rotateZ(-30deg);-ms-transform:rotateZ(-30deg);-o-transform:rotateZ(-30deg);-webkit-transform:rotateZ(-30deg);transform:rotateZ(-30deg)}.html5tooltip-right .roll-to{-moz-transform-origin:left center;-ms-transform-origin:left center;-o-transform-origin:left center;-webkit-transform-origin:left center;transform-origin:left center}.html5tooltip-top .roll-from{-moz-transform:rotateZ(30deg);-ms-transform:rotateZ(30deg);-o-transform:rotateZ(30deg);-webkit-transform:rotateZ(30deg);transform:rotateZ(30deg)}.html5tooltip-top .roll-to{-moz-transform-origin:center bottom;-ms-transform-origin:center bottom;-o-transform-origin:center bottom;-webkit-transform-origin:center bottom;transform-origin:center bottom}.spin-from{opacity:0}.spin-to{opacity:1;-moz-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);-ms-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);-o-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);-webkit-transform:rotateX(0) rotateY(0) translateX(0) translateY(0);transform:rotateX(0) rotateY(0) translateX(0) translateY(0)}.html5tooltip-bottom .spin-from{-moz-transform:rotateY(90deg) translateY(20px);-ms-transform:rotateY(90deg) translateY(20px);-o-transform:rotateY(90deg) translateY(20px);-webkit-transform:rotateY(90deg) translateY(20px);transform:rotateY(90deg) translateY(20px)}.html5tooltip-left .spin-from{-moz-transform:rotateX(-90deg) translateX(-20px);-ms-transform:rotateX(-90deg) translateX(-20px);-o-transform:rotateX(-90deg) translateX(-20px);-webkit-transform:rotateX(-90deg) translateX(-20px);transform:rotateX(-90deg) translateX(-20px)}.html5tooltip-right .spin-from{-moz-transform:rotateX(-90deg) translateX(20px);-ms-transform:rotateX(-90deg) translateX(20px);-o-transform:rotateX(-90deg) translateX(20px);-webkit-transform:rotateX(-90deg) translateX(20px);transform:rotateX(-90deg) translateX(20px)}.html5tooltip-top .spin-from{-moz-transform:rotateY(90deg) translateY(-20px);-ms-transform:rotateY(90deg) translateY(-20px);-o-transform:rotateY(90deg) translateY(-20px);-webkit-transform:rotateY(90deg) translateY(-20px);transform:rotateY(90deg) translateY(-20px)}
*/

eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('(9(){p f,S,z,J,v={s:{2d:"31",34:"37",39:"3a",1J:"3b",1J:"3c",1J:"3d"},l:{3e:{r:1w,g:2e,b:23,a:0.4},3f:{r:1K,g:3g,b:28,a:0.4},3h:{r:3i,g:3j,b:23,a:0.4},3k:{r:1K,g:3l,b:33,a:0.4},3m:{r:2f,g:3n,b:1L,a:0.4},3o:{r:2g,g:3p,b:36,a:0.4},3q:{r:3r,g:3s,b:57,a:0.4},3t:{r:3u,g:40,b:48,a:0.4},3v:{r:2h,g:35,b:38,a:0.4},3w:{r:2i,g:12,b:3,a:0.4},3x:{r:3y,g:24,b:3z,a:0.4},3A:{r:3B,g:3C,b:1M,a:0.4},3D:{r:1K,g:3E,b:2j,a:0.4},3F:{r:3G,g:3H,b:3I,a:0.4},3J:{r:3K,g:3L,b:1M,a:0.4},3M:{r:4,g:53,b:2k,a:0.4},3N:{r:3O,g:3P,b:2f,a:0.4},3Q:{r:2l,g:3R,b:2g,a:0.4},3S:{r:49,g:1N,b:3T,a:0.4},3U:{r:35,g:1O,b:3V,a:0.4},3W:{r:13,g:3X,b:1M,a:0.4},3Y:{r:20,g:59,b:3Z,a:0.4},41:{r:0,g:27,b:1P,a:0.4},42:{r:43,g:44,b:45,a:0.4},47:{r:0,g:1N,b:1N,a:0.4},4a:{r:18,g:4b,b:2m,a:0.4},4c:{r:4d,g:4e,b:1O,a:0.4},4f:{r:4g,g:4h,b:2l,a:0.4},4i:{r:4j,g:2h,b:4k,a:0.4},4l:{r:1P,g:4m,b:1L,a:0.4},4n:{r:22,g:4o,b:1P,a:0.4},4p:{r:0,g:1L,b:46,a:0.4},4q:{r:56,g:30,b:17,a:0.4},4r:{r:4s,g:4t,b:32,a:0.4},4u:{r:4v,g:4w,b:4x,a:0.4},4y:{r:4z,g:4A,b:4B,a:0.4},4C:{r:4D,g:2e,b:4E,a:0.4},4F:{r:4G,g:4H,b:2j,a:0.4},4I:{r:1O,g:4J,b:4K,a:0.4},4L:{r:2k,g:4M,b:4N,a:0.4},4O:{r:4P,g:2n,b:2n,a:0.4},2o:{r:5,g:6,b:8,a:0.4},4Q:{r:1w,g:1w,b:1w,a:0.4},4R:{r:4S,g:4T,b:4U,a:0.4},4V:{r:2m,g:4W,b:4X,a:0.4},4Y:{r:2i,g:4Z,b:50,a:0.4}},w:{1f:"1f",t:"t",1x:"1x",u:"u"}},1g={T:2p,s:v.s.2d,l:v.l.2o,1y:"",14:"",U:15,w:v.w.1f,1h:10,V:[],1Q:"",1R:"",1i:m},51={T:m,s:m,l:m,1S:m,U:m,w:m,1i:m},P={2q:["<n M=\'A\' j=\'1z-52:54-1z;55:58;\'>","<n M=\'A-1z\'>","<n M=\'A-16\'></n>","<n M=\'A-1A\' j=\'5a:5b;\'>","<n M=\'A-5c\'></n>","<n M=\'A-16\'></n>","</n>","<n M=\'A-2r\'><n M=\'A-5d\'></n><n M=\'A-5e\'></n></n>","</n>","</n>"].5f(""),W:{C:\'A\',2s:\'A-1z\',2t:\'A-16\',2u:\'A-1A\',2v:\'A-16\',2w:\'A-2r\'}};9 2x(a){o 2y.2z.5g.5h(a)}9 2A(a,b){p c=[];2B{p d=G.5i(a,(b||G),m,5j.5k,m);1B(p e=d.2C();e;e=d.2C())c.1j(e)}2D(2E){}o c}9 2F(a,b){p c=[];2B{c=2x((b||G).5l(a))}2D(2E){}o c}9 2G(a,b){p c=(b||G).5m(\'*\'),1T=[];1B(p i=0,1C;1C=c[i];i++){k(1C.D(a))1T.1j(1C)}o 1T}9 19(a){1B(p i=1;i<1k.1D;i++){k(2H 1k[i]==="2I"){1B(p b 5n 1k[i]){k(1k[i].5o(b)){a[b]=1k[i][b]}}}}o a}9 2J(){p c,7,X,E,1U,x,1V,F;9 1l(a,b){k(!7.U){a.2K=a.2K;a.K.1m("2L");b();2M(9(){a.K.1n("2L")},7.T)}1o b()}9 1W(){G.5p(c)}9 1a(){k(c.j.N!==\'1X\')c.j.N=\'1X\';c.j.t=\'-2N\';c.j.u=\'-2N\';k(x.j.1p!==\'2O\'){x.j.1p=\'2O\';x.j.N=\'1X\';x.j.y=\'1E\'}o I}9 1q(){p a=G.5q("n");a.1Y=z.1S?z.1S:P.2q;c=a.5r;E=c.1r(P.W.2s)[0];1U=c.1r(P.W.2t)[0];x=c.1r(P.W.2u)[0];1V=x.1r(P.W.2v)[0];F=c.1r(P.W.2w)[0];1a();7=19({},1g)}9 1s(a){k(!a)o 7;k(7!==a){7=19({},1g,a);2P()}o I}9 1F(){k(c.j.N!==\'1b\'){c.j.N=\'1b\';1c();E.K.1n(7.s+"-1G");E.K.1m(7.s+"-1H");1l(E,9(){E.K.1n(7.s+"-1H");E.K.1m(7.s+"-1G")})}o I}9 1I(){k(c.j.N!==\'1b\'){c.j.N=\'1b\';E.K.1n(7.s+"-1G");E.K.1m(7.s+"-1H");1l(E,9(){E.K.1n(7.s+"-1H");E.K.1m(7.s+"-1G")});k(7.14){x.j.1p=\'1Z\';x.j.N=\'1b\'}1c()}1o k(x.j.1p!==\'1Z\'&&7.14){x.j.1p=\'1Z\';21();1l(F,25);p h=x.1d().y;x.j.N=\'1b\';x.j.y=\'5s\';1l(x,9(){x.j.y=h>0?h+\'q\':"1E"})}o I}9 1t(a){k(!a)o X;k(X!==a){X=a}o I}9 1c(){21();25()}9 25(){p a;k(!X)o;a=c.1d();Y=F.1d();2Q(7.w){Q v.w.1f:F.j.t=O((a.B-Y.B)/2)+"q";F.j.u=-1*Y.y-1+"q";R;Q v.w.t:F.j.t=a.B-2+"q";F.j.u=O((a.y-Y.y)/2)+"q";R;Q v.w.1x:F.j.t=-1*Y.B+"q";F.j.u=O((a.y-Y.y)/2)+"q";R;Q v.w.u:F.j.t=O((a.B-Y.B)/2)+"q";F.j.u=a.y-3+"q";R}}9 21(){p a,L;k(!X)o;c.j.B="1E";L=c.1d();p b=7.1i||z.1i;k(b)c.j.B=L.B>b?b+"q":"1E";a=X.1d();L=c.1d();2Q(7.w){Q v.w.1f:c.j.t=a.t+O((a.B-L.B)/2)+"q";c.j.u=a.u+a.y+O(7.1h)+"q";R;Q v.w.t:c.j.t=a.t-L.B-O(7.1h)+"q";c.j.u=a.u+(a.y-L.y)/2+"q";R;Q v.w.1x:c.j.t=a.t+a.B+O(7.1h)+"q";c.j.u=a.u+(a.y-L.y)/2+"q";R;Q v.w.u:c.j.t=a.t+(a.B-L.B)/2+"q";c.j.u=a.u-L.y-O(7.1h)+"q";R}}9 2P(){1U.1Y=7.1y?7.1y:"";1V.1Y=7.14?7.14:"";7.T=z.T?z.T:7.T;7.s=z.s?z.s:7.s;7.U=z.U?z.U:7.U;7.l=z.l?z.l:7.l;k(v.l[7.l]){7.l=v.l[7.l];7.l="5t("+7.l.r+", "+7.l.g+", "+7.l.b+", "+7.l.a+")"}E.j.5u=7.l;F.j.5v=7.l;c.5w=P.W.C+"-"+7.w;k(G.26&&c.5x!==G.26)G.26.5y(c)}1q();o{1W:1W,1a:1a,1s:1s,1I:1I,1F:1F,1t:1t,1c:1c}}9 2R(){p c=2G("H-C-16");c.29(9(a){p b={1y:a.D("H-C-16"),V:[a]};k(a.D("H-C-2S-9")!==m)b.s=a.D("H-C-2S-9");k(a.D("H-C-l")!==m)b.l=a.D("H-C-l");k(a.D("H-C-1A")!==m)b.14=a.D("H-C-1A");k(a.D("H-C-2T")!==m)b.w=a.D("H-C-2T");k(a.D("H-C-2U")!==m)b.1i=a.D("H-C-2U");S.1j(19({},1g,b))})}9 2a(){S.29(9(c,i){c=19({},1g,c);k(!c.V.1D&&c.1Q)c.V=2F(c.1Q);k(!c.V.1D&&c.1R)c.V=2A(c.1R);c.V.29(9(b){b.Z("5z",9(){p a=I;k(J.1u===a||J.1v!==m)o;J.1u=a;f.1t(I).1s(c);2M(9(){k(J.1u===a)f.1F()},2p)});b.Z("5A",9(){J.1u=m;k(J.1v!==m)o;f.1a()});b.Z("5B",9(){k(["5C","5D"].5E(I.5F)===-1&&I.D("5G")===m)o;J.1v=I;f.1t(I).1s(c);f.1I()});b.Z("5H",9(){J.1v=m;f.1a()})});S[i]=c})}9 1q(){k(!f){z={};f=2J();S=[]}J={1v:m,1u:m}}9 2b(a,b){k(a.1D)2y.2z.1j.5I(S,a);1o k(2H a==="2I")S.1j(a);z=b?19({},b):z;2a()}9 2V(a,b){1q();2b(a,b)}9 1e(){G.2W("2X",1e,15);11.2W("2Y",1e,15);2R();2a()}k(11.2Z){2Z("2c",9(){o 2V})}1o{1q();k(G.5J==="5K"){1e()}1o{G.Z("2X",1e,15);11.Z("2Y",1e,15)}k(11.2c===5L){11.v=v;11.2c=2b}}11.Z("5M",9(){f.1c()},15)})();',62,359,'||||95|||ttModel||function||||||||||style|if|color|null|div|return|var|px||animateFunction|left|top|html5tooltipsPredefined|stickTo|elMore|height|options|html5tooltip|width|tooltip|getAttribute|elBox|elPointer|document|data|this|activeElements|classList|ttRect|class|visibility|parseInt|template|case|break|tModels|animateDuration|disableAnimation|targetElements|hookClasses|targetElement|pointerRect|addEventListener||window|||contentMore|false|text|||extend|hideAll|visible|updatePos|getBoundingClientRect|documentReadyHandler|bottom|typeTooltipModel|stickDistance|maxWidth|push|arguments|animateElementClass|add|remove|else|display|init|getElementsByClassName|model|target|hovered|focused|255|right|contentText|box|more|for|node|length|auto|showBrief|to|from|showAll|slideIn|250|63|174|168|138|74|targetSelector|targetXPath|HTMLTemplate|nodes|elText|elMoreText|destroy|collapse|innerHTML|block||updateTooltipPos||||updatePointerPos|body|||forEach|tieTooltips|html5tooltipsGlobal|html5tooltips|fadeIn|230|241|237|188|140|210|119|85|159|77|black|300|HTML|pointer|tooltipBox|tooltipText|tooltipMore|tooltipMoreText|tooltipPointer|toArray|Array|prototype|getElementsByXPath|try|iterateNext|catch|exc|getElementsBySelector|getElementsByAttribute|typeof|object|Tooltip|offsetWidth|animating|setTimeout|9999px|none|updateModel|switch|pickDocumentDataTargets|animate|stickto|maxwidth|html5tooltipsAMD|removeEventListener|DOMContentLoaded|load|define||fadein|||foldIn|||foldin||foldOut|foldout|roll|slidein|spin|daffodil|daisy|211|mustard|253|183|citrusZest|170|pumpkin|117|tangerine|87|salmon|240|70|persimmon|234|rouge|scarlet|hotPink|229|93|princess|243|132|petal|198|lilac|178|150|199|lavender|123|103|violet|cloud|195|222|dream|190|gulf|224|turquoise|204|sky|96|indigo|134||navy|seaFoam|125|205|194||teal|||peacock|149|ceadon|193|209|olive|121|145|bamboo|128|66|grass|160|kelly|136|forrest|chocolate|terraCotta|192|92|camel|191|155|107|linen|233|212|167|stone|231|225|smoke|207|208|steel|139|143|slate|133|144|charcoal|71|white|metalicSilver|152|162|171|metalicGold|135|89|metalicCopper|102|65|defaultOptions|sizing||border|position|||fixed||overflow|hidden|hr|po|pi|join|slice|call|evaluate|XPathResult|ANY_TYPE|querySelectorAll|getElementsByTagName|in|hasOwnProperty|removeChild|createElement|firstChild|0px|rgba|backgroundColor|borderColor|className|parentNode|appendChild|mouseover|mouseout|focus|INPUT|TEXTAREA|indexOf|tagName|contenteditable|blur|apply|readyState|complete|undefined|scroll'.split('|'),0,{}))
